function x=IPLP(c,B,b)

% Solves the LP
%
%  min c'*x s.t. B*x=b, x>=0
%
% by using a primal-dual interior point method
%
% S. Ulbrich, December 2006

n=length(c);
m=length(b);
x0=10*ones(n,1);
z0=[];
u0=zeros(m,1);
y0=x0;
[xk,zk,uk,yk,feas]=LPFI(c,B,b,x0,z0,u0,y0,1e-6);
x=xk;
