function al=calcalmumin(x,y,dx,dy)
%
%   
% S. Ulbrich, June 2002
%
% This code comes with no guarantee or warranty of any kind.
%
% function al=calcalmumin(x,y,dx,dy)
%
% computes al=argmin_{0<=al<=1} (x+al*dx)'*(y+al*dy)
%            =argmin_{0<=al<=1} mu(al)
%
%
b=(y'*dx+x'*dy);
a=(dx'*dy);
c=(x'*y);
al=1;
if (a>0)
 al=-b/(2*a);
end
al=min(1,al);
